Subject: Re: [PATCH net 2/2] net/sched: flower: fix error handler on replace

From: Jakub Kicinski <[email-masked]>
Date: Tue, 2 May 2023 19:44:52 -0700

On Fri, 28 Apr 2023 14:03:19 +0300 Vlad Buslov wrote:
> Note that with these changes (both accepted patch and preceding diff)
> you are exposing filter to dapapath access (datapath looks up filter via
> hash table, not idr) with its handle set to 0 initially and then resent
> while already accessible. After taking a quick look at Paul's
> miss-to-action code it seems that handle value used by datapath is taken
> from struct tcf_exts_miss_cookie_node not from filter directly, so such
> approach likely doesn't break anything existing, but I might have missed
> something.

Did we deadlock in this discussion, or the issue was otherwise fixed?